ข้ามไปยังเนื้อหา

Kling LipSync Text-to-Video

ผสานการทำงาน

ID โมเดล kling-video/lipsync/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.14 140 เครดิต API · ≈ ₽15.06 ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API
Kling ลิปซิงก์และอวตาร ลิปซิงก์ #text-to-video#lipsync

ทำให้บุคคลในวิดีโอพูดข้อความที่พิมพ์ด้วยเสียงสังเคราะห์ที่เลือกได้ พร้อมปรับความเร็วได้

สร้างบน Doitong

ผลงานสาธารณะที่สร้างด้วย Kling LipSync โดยชุมชน Doitong นำพรอมต์กลับมาใช้ได้ในคลิกเดียว

ผลงานสาธารณะที่แสดง: 16
วิดีโอ

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

วิดีโอ

Как остановить тревогу за 60 секунд. Когда она накатывает, начните с дыхания: медленно вдохните через нос на четыре счёта, задержите на четыре и мягко выдохните через рот на шесть. Повторите три раза — это сразу успокаивает нервную систему. Затем посмотрите вокруг и вслух назовите три вещи,...

วิดีโอ

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

วิดีโอ

Дорогой друг, если тревога внезапно накрыла, остановите её за шестьдесят секунд тремя простыми шагами. Сначала медленно вдохните носом на четыре секунды, задержите дыхание ещё на четыре и плавно выдохните ртом на шесть. Это сразу снижает активность симпатической нервной системы и даёт телу сигнал...

วิดีโอ

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

วิดีโอ

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

วิดีโอ

You didn't fail because you're weak. You failed because you QUIT the second it got uncomfortable. Comfort is the enemy. Comfort is the drug that's keeping you average. Nobody's coming to save you. YOU are the rescue mission. Tomorrow morning, five A M. Do the thing you've been avoiding. That's...

วิดีโอ

Как перестать всё контролировать? Я знаю, как тяжело постоянно держать всё в руках. Вот три простых шага, которые реально помогают. Сначала заметьте, когда внутри возникает напряжение, и сделайте три медленных выдоха длиннее вдохов. Это сразу включает спокойную часть нервной системы. Второй шаг:...

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 120

ข้อความที่ใช้สร้างวิดีโอลิปซิงก์ จำกัดไม่เกิน 120 อักขระ

•จำเป็น video_url
วางไฟล์ หรือ

URL วิดีโอสำหรับการสร้างลิปซิงก์ รองรับไฟล์ .mp4 หรือ .mov ขนาดไม่เกิน 100MB ความยาว 2–60 วินาที และความละเอียด 720p หรือ 1080p เท่านั้น โดยทั้งสองมิติต้องอยู่ระหว่าง 720–1920px หากการตรวจสอบไม่ผ่าน ระบบจะแสดงข้อผิดพลาด

•จำเป็น

ตัวระบุเสียงที่ใช้สังเคราะห์เสียงพูด

ขั้นสูง voice_language · voice_speed · enable_safety_checker
voice_language ค่าเริ่มต้น en

ภาษาที่เชื่อมโยงกับ Voice ID ที่เลือก

ค่าเริ่มต้น 1

ความเร็วในการพูดที่ใช้เมื่อสร้างวิดีโอจากข้อความ

POST /run/kling-video/lipsync/text-to-video?wait=20 ใบเสนอราคา → $0.14
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/lipsync/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Kling LipSync Text-to-Video

สร้างเสียงพูดที่ซิงค์ริมฝีปากจากข้อความแทนไฟล์เสียง ระบุ `video_url`, `text` ความยาวไม่เกิน 120 อักขระ และ `voice_id` ที่เลือกจากรายการเสียงสำเร็จรูป `voice_language` เป็น zh หรือ en และ `voice_speed` อยู่ระหว่าง 0.8 ถึง 2 วิดีโอต้นฉบับเป็น .mp4 หรือ .mov ได้ ขนาดไม่เกิน 100MB ความยาว 2 ถึง 60 วินาที และความละเอียด 720p หรือ 1080p

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
ปิดใช้การตรวจสอบความปลอดภัยได้เฉพาะเมื่อบัญชีได้รับอนุญาต คำขอที่ไม่มีการอนุญาตจะผ่านการตรวจสอบเสมอ
video_urlจำเป็น video
ประเภทurl · video
URL วิดีโอสำหรับการสร้างลิปซิงก์ รองรับไฟล์ .mp4 หรือ .mov ขนาดไม่เกิน 100MB ความยาว 2–60 วินาที และความละเอียด 720p หรือ 1080p เท่านั้น โดยทั้งสองมิติต้องอยู่ระหว่าง 720–1920px หากการตรวจสอบไม่ผ่าน ระบบจะแสดงข้อผิดพลาด
textจำเป็น
ประเภทstring
≤ 120 อักขระ
ข้อความที่ใช้สร้างวิดีโอลิปซิงก์ จำกัดไม่เกิน 120 อักขระ
voice_idจำเป็น
ประเภทenum
genshin_vindi2zhinen_xueshengAOTai_shatanggenshin_klee2genshin_kiraraai_kaiyaoversea_male1ai_chenjiahao_712girlfriend_4_speech02chat1_female_new-3chat_0407_5-1cartoon-boy-07uk_boy1cartoon-girl-01PeppaPig_platform
เพิ่มเติมอีก 30 ค่าai_huangzhong_712ai_huangyaoshi_712ai_laoguowang_712chengshu_jiejieyou_pingjingcalm_story1uk_man2laopopo_speech02heainainai_speech02reader_en_m-v1commercial_lady_en_f-v1tiyuxi_xueditiexin_nanyougirlfriend_1_speech02girlfriend_2_speech02zhuxi_speech02uk_oldman3dongbeilaotie_speech02chongqingxiaohuo_speech02chuanmeizi_speech02chaoshandashu_speech02ai_taiwan_man2_speech02xianzhanggui_speech02tianjinjiejie_speech02diyinnansang_DB_CN_M_04-v2yizhipiannan-v1guanxiaofang-v2tianmeixuemei-v1daopianyansang-v1mengwa-v1
ตัวระบุเสียงที่ใช้สังเคราะห์เสียงพูด
voice_languageไม่บังคับ
ประเภทenum
ค่าเริ่มต้นen
zhen
ภาษาที่เชื่อมโยงกับ Voice ID ที่เลือก
voice_speedไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1
0.8 – 2
ความเร็วในการพูดที่ใช้เมื่อสร้างวิดีโอจากข้อความ
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/lipsync/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice_id": "genshin_vindi2"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอที่สร้างโดยโมเดล

โมเดลเพิ่มเติม: ลิปซิงก์และอวตาร

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/kling-video/lipsync/text-to-video.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt